# CppLibraryPlugin

abstract class CppLibraryPlugin : Plugin<T>

A plugin that produces a native library from C++ source.

Assumes the source files are located in `src/main/cpp`, public headers are located in `src/main/public` and implementation header files are located in `src/main/headers`.

Adds a CppLibrary extension to the project to allow configuration of the library.

#### Since

4.1

## Constructors

CppLibraryPlugin
Link copied to clipboard
@Inject
constructor(componentFactory: NativeComponentFactory, toolChainSelector: ToolChainSelector, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)
CppLibraryPlugin.

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)